CREATE TABLE hwm_tcd_exp_data_sch_shft (
    SCHEDULE_SHIFT_ID              NUMBER(18, 0),
    TCD_EXP_DATA_ESS_PROCESS_ID    NUMBER(18, 0),
    SCHEDULE_SHIFT_VERSION         NUMBER(9, 0) ,
    LATEST_VERSION                 VARCHAR2(4)  ,
    STATUS                         VARCHAR2(80) ,
    REC_TYPE                       VARCHAR2(40) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    SCHEDULE_SHIFT_NAME            VARCHAR2(960),
    START_EARLY_GRACE              NUMBER(18, 0),
    START_LATE_GRACE               NUMBER(18, 0),
    END_EARLY_GRACE                NUMBER(18, 0),
    END_LATE_GRACE                 NUMBER(18, 0),
    TOLERANCE                      NUMBER(9, 0) ,
    START_EARLY_VIOLATION          VARCHAR2(40) ,
    START_LATE_VIOLATION           VARCHAR2(40) ,
    END_EARLY_VIOLATION            VARCHAR2(40) ,
    END_LATE_VIOLATION             VARCHAR2(40) ,
    DELETE_FLAG                    VARCHAR2(4)  ,
    SETUP_PROFILE_ID               NUMBER(18, 0),
    ENTERPRISE_ID                  NUMBER(18, 0)    NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    SHIFT_ID                       NUMBER(18, 0),
    DURATION                       NUMBER(18, 0),
    TIME_NOT_WORKED                NUMBER(18, 0),
    SCHEDULE_SHIFT_ID              NUMBER(18, 0),
    TCD_EXP_DATA_ESS_PROCESS_ID    NUMBER(18, 0),
    SCHEDULE_SHIFT_VERSION         NUMBER(9, 0) ,
    LATEST_VERSION                 VARCHAR2(4)  ,
    STATUS                         VARCHAR2(80) ,
    REC_TYPE                       VARCHAR2(40) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    SCHEDULE_SHIFT_NAME            VARCHAR2(960),
    START_EARLY_GRACE              NUMBER(18, 0),
    START_LATE_GRACE               NUMBER(18, 0),
    END_EARLY_GRACE                NUMBER(18, 0),
    END_LATE_GRACE                 NUMBER(18, 0),
    TOLERANCE                      NUMBER(9, 0) ,
    START_EARLY_VIOLATION          VARCHAR2(40) ,
    START_LATE_VIOLATION           VARCHAR2(40) ,
    END_EARLY_VIOLATION            VARCHAR2(40) ,
    END_LATE_VIOLATION             VARCHAR2(40) ,
    DELETE_FLAG                    VARCHAR2(4)  ,
    SETUP_PROFILE_ID               NUMBER(18, 0),
    ENTERPRISE_ID                  NUMBER(18, 0)    NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    SHIFT_ID                       NUMBER(18, 0),
    DURATION                       NUMBER(18, 0),
    TIME_NOT_WORKED                NUMBER(18, 0),
    CONSTRAINT pk_hwm_tcd_exp_data_sch_shft PRIMARY KEY (SCHEDULE_SHIFT_ID, SCHEDULE_SHIFT_VERSION, SCHEDULE_SHIFT_ID, SCHEDULE_SHIFT_VERSION)
);
